title	IRC
author	breadw and lucitoast

## what is IRC

Internet Relay Chat has been around for like, a long time.
I won't bore you with all the details; that's what
[Wikipedia](https://en.wikipedia.org/wiki/Internet_Relay_Chat)
is for.

however, here at breadpunk.club we use IRC a lot.
we chat on it,
we're eventually going to have bots with it,
as well as inside jokes, and all sorts of fun stuff.
the breadpunk club uses the InspIRCd server,
which probably doesn't mean much,
unless you're an admin,
but there's the info.

## connecting to IRC

to join on IRC, just run `weechat` or `irssi` from
your [ssh](/docs/ssh)'d terminal.

you might also want to set up a [magic tunnel](docs/magic-tunnel)
so you can use IRC from your own computer.

here's a list of channels we have on breadpunk.club:

- `#bread`

## registering your nick

to prevent others from using your nickname, and to allow registering
channels, setting your pronouns or other contact info, or receiving memos
from other users, you will need to register your nickname. it's easy:

```
/msg NickServ REGISTER [password] [username]@breadpunk.club
```

you should use your breadpunk username here as this is your local e-mail
address, which will be used to send you a confirmation code. The e-mail with
your confirmation code will tell you how to confirm your registration.

later, to log in, you can use `/msg NickServ IDENTIFY [password]`.

### your personal info

when you are registered, anyone can type in `/msg NickServ INFO [yourname]`
and get a little bit of info about who you are. we created a few custom commands
so that you can set some more useful metadata about you:

* `MSN`: your msn messenger contact info.
  if you set this, you are probably using a custom server;
  we encourage you to also put a link to your msn server so that others can join you.
* `FEDIVERSE`: your fediverse account(s).
* `URL`: whatever URL you want; usually a link to your personal website.
* `PRONOUNS`: the pronouns one should use to talk about you.
* `ICE`: **i**n **c**ase of **e**mergency - the kind of info we could use
  if we wanted to make sure you are doing okay: how to get in touch with someone
  that can find you irl or help you out in any way.
* `GREET`: a rather well known

all of this information is of course optional, though the use of `PRONOUNS` and `ICE`
is encouraged. you can set all of this using the following command:

```
/msg NickServ SET PRONOUNS she/her
```

same goes for all of the other items mentioned above. then, with `INFO`,
other users will see something along the lines of `PRONOUNS: she/her`.
use `/msg NickServ HELP` and `HELP SET` to learn more about all of this.

### auto-login on weechat

to automatically log-in to NickServ on weechat, you can set weechat to execute
`IDENTIFY` on connect with:

```
/set irc.server.[servername].command "/msg NickServ IDENTIFY [password]"
```

this however poses the issue of storing your password unencrypted in your
weechat configuration files. thankfully, weechat has a solution for this!
First, set a passphrase that you will be required to type on each weechat startup:

```
/secure passphrase [password]
```

you can then set any kind of encrypted data using `/secure set` and
use it anywhere using `sec.data` variables:

```
/secure set bread_password hunter2
/set irc.server.breadpunk.command "/msg NickServ IDENTIFY \${sec.data.bread_password}"
```

